/**
 * This class is a class which handles the SAX error
 */

package gov.nist.hl7maker.util;

// SAX
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXParseException;

public class SAXErrorHandler implements ErrorHandler {

    public void error(SAXParseException e) {
	MMLog.log("SAX Error: " + e.getMessage());
    }

    public void fatalError(SAXParseException e) {
	MMLog.log("SAX Fatal Error: " + e.getMessage());
    }
     
    public void warning(SAXParseException e) {
	MMLog.log("SAX Warning: " + e.getMessage());
    }
}

