package gov.nist.hl7maker.verifier.util;

/**
 * Used in sanity checking for XPath construction and evaluation.
 * 
 * @author Justin Manweiler
 */
public class BadXPathException extends RuntimeException {
    public BadXPathException( String xPath, String cause ) {
        super( "Bad XPath: " + xPath + " - " + cause );
    }
}
