/**
 * This class represents a subcomponent in the profile
 */

package gov.nist.hl7maker.view.config;

public class SubComponentNode extends ProfileNode {

    private String msgLocPrefix;

    /**
     * Constructor
     */
    public SubComponentNode() {
    }

    /**
     * Return true if it is a leaf
     * @return is it a leaf?
     */
    public boolean isLeaf() {
	return true;
    }

    public String getValue() {
	return null;
    }

    public String getMsgLoc() {
	int idx = sequenceNum.lastIndexOf(".");
	//	return msgLocPrefix + "." + sequenceNum.substring(idx+1);
	return parent.getMsgLoc() + " " + parent.getDatatype() + "." + sequenceNum.substring(idx+1);
    }

    public void setMsgLocPrefix(String msgLocPrefix) {
	this.msgLocPrefix = msgLocPrefix;
    }
}
