/**
 * This class displays a validation report on a message
 */

package gov.nist.hl7maker.view.display;

// JDK
import java.io.IOException;

// Swing
import javax.swing.JEditorPane;

public class ValidationView extends JEditorPane {

    /**
     * Constructor
     */
    public ValidationView() {
	setEditable(false);
    }

    /**
     * Display the validation report
     * @param htmlPage
     */
    public void displayReport(String htmlPage) throws IOException {
	setPage(htmlPage);
    }

    /**
     * Reset the display
     */
    public void reset() {
	setText("");
    }
}
