package gov.nist.hl7maker.verifier.xmlverifier;

import java.io.File;

import gov.nist.hl7maker.verifier.VerifierException;

import org.w3c.dom.Document;

/**
 * Interface for an XML file verifier.
 * 
 * @author Justin Manweiler
 */
public interface XMLVerifier {

    public Document getDOM() throws VerifierException;
    
    public Document getDOMCopy() throws VerifierException;

    public File getFile();

    public String getVerifiedContents() throws VerifierException;

    public void testFile() throws VerifierException;
}
