<?xml version="1.0" encoding="UTF-8" ?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="table"/>
<xsl:param name="item"/>
<xsl:param name="type"/>
<xsl:param name="name"/>
<xsl:param name="id"/>
<xsl:param name="code"/>
<xsl:param name="value"/>
<xsl:template match="/">
<hl7TableData xmlns="http://www.nist.gov/hl7/localTableData">
	<xsl:for-each select="//*[name()=$table]">
		<Table>
                  <xsl:attribute name="Type"><xsl:value-of select="*[name()=$type]"/><xsl:value-of select="@*[name()=$type]"/></xsl:attribute>
			<xsl:attribute name="Name"><xsl:value-of select="*[name()=$name]"/><xsl:value-of select="@*[name()=$name]"/></xsl:attribute>
                        <xsl:attribute name="ID"><xsl:value-of select="*[name()=$id]"/><xsl:value-of select="@*[name()=$id]"/></xsl:attribute>
			<xsl:for-each select="*[name()=$item]">
				<Item>
					<xsl:attribute name="Code"><xsl:value-of select="*[name()=$code]"/><xsl:value-of select="@*[name()=$code]"/></xsl:attribute>
					<xsl:attribute name="Value"><xsl:value-of select="*[name()=$value]"/><xsl:value-of select="@*[name()=$value]"/></xsl:attribute>
				</Item>
			</xsl:for-each> 
		</Table>
	</xsl:for-each>
</hl7TableData>
</xsl:template>
</xsl:transform>
